Campaign details
- http
- shell
- python
- php
- C#
GET /me/campaigns/:campaignId HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
$ curl "https://api.aplazame.com/me/campaigns/:campaignId" \
-H "Accept: application/vnd.aplazame.v1+json" \
-H "Authorization: Bearer api_private_key"
import aplazame_sdk
client = aplazame_sdk.Client('api_private_key')
response = client.get_campaign(':merchantId', ':campaignId')
use Aplazame\Api\Client as AplazameClient;
$aplazameClient = new AplazameClient("https://api.aplazame.com", AplazameClient::ENVIRONMENT_PRODUCTION, "api_private_key");
$result = $aplazameClient->get("/me/campaigns/{$campaignId}");
using Aplazame.Api;
Client client = new Client("https://api.aplazame.com", Client.EnvironmentProduction, "api_private_key");
dynamic result = client.Get($"/me/campaigns/{campaignId}");
| Parameter | Type | Required | Description |
|---|---|---|---|
| :merchantId | hash | Yes | id of the store to perform action with. |
| :campaignId | hash | Yes | id of the campaign to perform action with. |
Response
HTTP/1.1 200 OK
Content-Type: application/json
X-Aplazame-Media-Type: aplazame.v1
{
"id": "c994e03e42d24be7bf6e1fcbad3334c0",
"name": "Summertime",
"start_date": "2016-06-01T00:00:00",
"end_date": "2016-08-31T23:59:59",
"interest": 2500,
"partial": true,
"num_instalments": [1, 2, 3, 5, 8],
"created": "2016-03-10T11:08:57.265971"
}
| Parameter | Type | Description |
|---|---|---|
| id | hash | Hostname id |
| name | string | Campaign name |
| start_date | ISO 8601 | Start date of the campaign |
| end_date | ISO 8601 | End date of the campaign |
| interest | decimal | Interest discount rate |
| partial | Boolean | Determines if the campaign applies to all products |